'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6a42d05a.js');
const apolloClientState = require('./apollo-client-state-2dbc87f1.js');

const Declarations = 'DECLARATIONS';

function ApolloProvider({ client }, children) {
    return (index.h("apollo-provider", { client: client }, children));
}
function ApolloConsumer(_props, children) {
    return (index.h(apolloClientState.ApolloProviderConsumer.Consumer, null, ({ client }) => children[0](client)));
}

const Query = ({ query, variables, options, }, children) => index.h("apollo-query", { query: query, variables: variables, options: options, renderer: children[0] });

const Mutation = ({ mutation, variables, options }, children) => index.h("apollo-mutation", { mutation: mutation, variables: variables, options: options, renderer: children[0] });

const Subscription = ({ subscription, variables, options, }, children) => index.h("apollo-subscription", { subscription: subscription, variables: variables, options: options, renderer: children[0] });

exports.ApolloConsumer = ApolloConsumer;
exports.ApolloProvider = ApolloProvider;
exports.Declarations = Declarations;
exports.Mutation = Mutation;
exports.Query = Query;
exports.Subscription = Subscription;
