import { r as registerInstance, g as getElement } from './index-ec091027.js';
import { A as ApolloProviderConsumer } from './apollo-client-state-c4831e3f.js';

const ApolloMutationComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return this.renderer(this.client);
    }
    get el() { return getElement(this); }
};
ApolloProviderConsumer.injectProps(ApolloMutationComponent, ['client']);

export { ApolloMutationComponent as apollo_consumer };
