import { EventEmitter } from "../../stencil-public-runtime";
import { DocumentNode } from "graphql";
import { MutationRenderer, MutationFn } from "../../utils/types";
import { ApolloClient, MutationOptions } from "apollo-client";
export declare class ApolloMutationComponent {
    mutation: DocumentNode;
    renderer: MutationRenderer;
    variables: any;
    options: MutationOptions;
    mutationFn: MutationFn<any, any>;
    client: ApolloClient<any>;
    el: HTMLApolloMutationElement;
    readyEventEmitter: EventEmitter<MutationFn<any, any>>;
    componentWillLoad(): void;
    onPropsChange(): void;
    passMutation(): Promise<void>;
    render(): import("@stencil/core/internal/stencil-public-runtime").JSX.Element | import("@stencil/core/internal/stencil-public-runtime").JSX.Element[];
}
