import { DocumentNode } from "graphql";
import { MutationOptions } from "apollo-client";
import { MutationRenderer } from "./types";
export declare const Mutation: <TData, TVariables>({ mutation, variables, options }: {
    mutation: DocumentNode;
    variables?: TVariables;
    options?: MutationOptions<TData, TVariables>;
    inlist?: MutationRenderer<TData, TVariables>;
}, children: [MutationRenderer<TData, TVariables>]) => any;
