import { DocumentNode } from "graphql";
import { WatchQueryOptions } from "apollo-client";
import { QueryRenderer } from "./types";
export declare const Query: <TData, TVariables>({ query, variables, options, }: {
    query: DocumentNode;
    variables?: TVariables;
    options?: WatchQueryOptions<TVariables>;
    inlist?: QueryRenderer<TData, TVariables>;
}, children: [QueryRenderer<TData, TVariables>]) => any;
