import { DocumentNode } from "graphql";
import { SubscriptionOptions } from "apollo-client";
import { SubscriptionRenderer } from "./types";
export declare const Subscription: <TData, TVariables>({ subscription, variables, options, }: {
    subscription: DocumentNode;
    variables?: TVariables;
    options?: SubscriptionOptions<TVariables>;
    inlist?: SubscriptionRenderer<TData, TVariables>;
}, children: [SubscriptionRenderer<TData, TVariables>]) => any;
