import { EventEmitter } from "../../stencil-public-runtime";
import { DocumentNode } from "graphql";
import { SubscriptionRenderer } from "../../utils/types";
import { ApolloClient, SubscriptionOptions } from "apollo-client";
export declare class ApolloSubscriptionComponent {
    subscription: DocumentNode;
    renderer: SubscriptionRenderer<any>;
    variables: any;
    options: SubscriptionOptions;
    result: any;
    client: ApolloClient<any>;
    el: HTMLApolloSubscriptionElement;
    readyEventEmitter: EventEmitter<any>;
    resultEventEmitter: EventEmitter<any>;
    private _subscription;
    componentWillLoad(): void;
    onPropsChange(): void;
    disconnectedCallback(): void;
    startSubscription(): void;
    stopSubscription(): void;
    render(): import("@stencil/core/internal/stencil-public-runtime").JSX.Element | import("@stencil/core/internal/stencil-public-runtime").JSX.Element[];
}
